/*
 * **************************************************************************************
 * Copyright (C) 2021 FoE-Helper team - All Rights Reserved
 * You may use, distribute and modify this code under the
 * terms of the AGPL license.
 *
 * See file LICENSE.md or go to
 * https://github.com/mainIine/foe-helfer-extension/blob/master/LICENSE.md
 * for full license details.
 *
 * **************************************************************************************
 */

#battleAssistNextEraDialog {
    top: calc(50vh + 230px);
    left: calc(50vw - 298px);
}

#battleAssistNextEraDialogBody {
    width: 576px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 120%;
    background-color: rgba(103, 1, 1, 0.5);
}

#battleAssistRogueDialog {
    top: calc(50vh + 230px);
    left: calc(50vw - 92px);
}

#battleAssistRogueDialogBody {
    width: 360px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 120%;
    background-color: rgba(103, 1, 1, 0.5);
}

#battleAssistRogueDialogBody,
#battleAssistNextEraDialogBody {
    animation: battleAssistBlink 2s linear infinite;
}

@keyframes battleAssistBlink {
    0% {color: #fafa6c;}
    25% {color: #fcfcb2;}
    50% {color: transparent;}
    75% {color: #fcfcb2;}
    100% {color: #fafa6c;}
}
